Bug 229751 - Software Updater crashes while retrieving update information
Software Updater crashes while retrieving update information
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-23 00:26 EST by Bill Shannon
Modified: 2008-01-28 22:39 EST (History)
7 users (show)

See Also:
Fixed In Version: updates
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-28 22:39:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Shannon 2007-02-23 00:26:46 EST
Description of problem:

This is a bug report against Software Updater, but I can't find that in the
list of components.  When it crashed it said to file a bug against Software
Updater.


Version-Release number of selected component (if applicable):

No idea.

How reproducible:

Don't know yet, only happened once so far.

Steps to Reproduce:
1. Start System Updater from main menu
2. Get "Retrieving update information" window
3. Wait many minutes for exception
  
Actual results:

Here's the exception message displayed in the Exception Occurred window:

Component: Software Updater
Summary: TBccefa5c9 yumRepo.py:426:__get:RepoError: failure:
repodata/updateinfo.xml.gz from updates: [Errno 256] No more mirrors to try.

Traceback (most recent call last):
  File "/usr/sbin/pup", line 659, in ?
    main()
  File "/usr/sbin/pup", line 655, in main
    pup.run()
  File "/usr/sbin/pup", line 494, in run
    self.doRefresh()
  File "/usr/sbin/pup", line 319, in doRefresh
    self.populateUpdates()
  File "/usr/sbin/pup", line 375, in populateUpdates
    self.updateMetadata.add(repo)
  File "/usr/lib/python2.4/site-packages/yum/update_md.py", line 227, in add
    md = obj.retrieveMD(mdtype)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 615, in retrieveMD
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 426, in __get
    raise Errors.RepoError, "failure: %s from %s: %s" % (relative, self.id, e)
RepoError: failure: repodata/updateinfo.xml.gz from updates: [Errno 256] No more
mirrors to try.

Local variables in innermost frame:
e: [Errno 256] No more mirrors to try.
start: None
url: None
text: None
self: updates
cache: True
reget: None
relative: repodata/updateinfo.xml.gz
headers: ()
checkfunc: (<bound method YumRepository.checkMD of <yum.yumRepo.YumRepository
object at 0x86bb36c>>, ('updateinfo',), {})
copy_local: 1
end: None
local: //var/cache/yum/updates/updateinfo.xml.gz

Expected results:

Updated software.


Additional info:
Comment 1 Gerry Tool 2007-02-23 09:19:16 EST
This exact same thing occurs on my FC6 system today, and is repeatable every
time.  Same dump file, so will not include it.

[root@fc6-32 ~]# rpm -q --whatprovides /usr/sbin/pup
pirut-1.2.8-1.fc6

The process never gets to the point of displaying the updates available.
Comment 2 Adam 2007-02-23 11:31:25 EST
This has also just started to happen on my FC6 system as well (first ocurred
today 23rd Feb 07). Software updates were working fine until today!

Again, exact same dump file. 

Adam.

Comment 3 Red Hat Bugzilla 2007-04-11 22:13:31 EDT
User bnackash@redhat.com's account has been closed
Comment 4 Gordon Hebert 2007-05-09 00:41:25 EDT
*Newbie alert*
Not sure I understand meaning of "(most recent call last)" in traceback. Does
that mean that in the traceback shown above, the most recent call is the line
indicated by this?:
"File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 426, in __get"

I have a traceback that looks similar at the top of the listing shown above, but
differs in the details shown below. I'm not sure if it is more helpful to add my
traceback here or create a separate defect report. For now I will add it here,
and gladly create another defect report if informed that I should. Thank you for
being patient.

Here is the content of my crashdump file:
Component: Software Updater
Summary: TB9f78d0ec main.py:244:execute:DatabaseError: database disk image is
malformed

Traceback (most recent call last):
  File "/usr/sbin/pup", line 659, in ?
    main()
  File "/usr/sbin/pup", line 655, in main
    pup.run()
  File "/usr/sbin/pup", line 494, in run
    self.doRefresh()
  File "/usr/sbin/pup", line 319, in doRefresh
    self.populateUpdates()
  File "/usr/sbin/pup", line 368, in populateUpdates
    updating = self.getPackageObject(new)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 1473, in
getPackageObject
    pkgs = self.pkgSack.searchPkgTuple(pkgtup)
  File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 66, in
searchPkgTuple
    return self.searchNevra(name=n, arch=a, epoch=e, ver=v, rel=r)
  File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 232, in
searchNevra
    return self._computeAggregateListResult("searchNevra", name, epoch, ver,
rel, arch)
  File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 369, in
_computeAggregateListResult
    sackResult = apply(method, args)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 570, in
searchNevra
    cur.execute(q)
  File "/usr/lib/python2.4/site-packages/sqlite/main.py", line 244, in execute
    self.rs = self.con.db.execute(SQL)
DatabaseError: database disk image is malformed

Local variables in innermost frame:
self: <sqlite.main.Cursor instance at 0xabeff4c>
parms: ()
SQL: select * from packages WHERE name = "elfutils-libelf" AND epoch = "0" AND
version = "0.127" AND arch = "i386" AND release = "1.fc6"

Comment 5 Ben Birney 2007-10-11 08:05:25 EDT
I started getting this crash on Tuesday. Happens regardless of the packages I
select to update. Here is my crash dump:

Component: Software Updater
Summary: TBccefa5c9 yumRepo.py:426:__get:RepoError: failure:
elinks-0.11.3-1.fc6.ppc.rpm from updates: [Errno 256] No more mirrors to try.

Traceback (most recent call last):
  File "/usr/sbin/pup", line 433, in _apply
    self.applyChanges(self.mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 559, in
applyChanges
    self.checkDeps(mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 324, in checkDeps
    self.populateTs(keepold=0)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 150, in populateTs
    self.downloadHeader(txmbr.po)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 767, in
downloadHeader
    cache=repo.http_caching != 'none',
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 454, in getHeader
    cache=cache,
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 426, in __get
    raise Errors.RepoError, "failure: %s from %s: %s" % (relative, self.id, e)
RepoError: failure: elinks-0.11.3-1.fc6.ppc.rpm from updates: [Errno 256] No
more mirrors to try.

Local variables in innermost frame:
e: [Errno 256] No more mirrors to try.
start: 440
url: None
text: None
self: updates
cache: True
reget: None
relative: elinks-0.11.3-1.fc6.ppc.rpm
headers: ()
checkfunc: (<bound method PackageUpdater.verifyHeader of
<__main__.PackageUpdater object at 0x103858b0>>,
(<yum.sqlitesack.YumAvailablePackageSqlite object at 0x11337e50>, 1), {})
copy_local: 1
end: 15049
local: //var/cache/yum/updates/headers/elinks-0.11.3-1.fc6.ppc.hdr
Comment 6 Peter van Egdom 2008-01-26 08:27:19 EST
Thank you for the report. However this has been reported to the incorrect
component. Reassigning from "up2date" to "pirut". Feel free to report any
further bugs you find to our bug tracking system.
Comment 7 Jeremy Katz 2008-01-28 22:39:54 EST
These should be resolved with the current update versions of pirut

Note You need to log in before you can comment on or make changes to this bug.